import { useState } from 'react'
import Taro from '@tarojs/taro'
import { View } from '@tarojs/components'
import starOn from '@/assets/icons/GuideCheck/starOn.png'
import starOff from '@/assets/icons/GuideCheck/starOff.png'
import formatTime from '@/utils/formatTime'
import { compressImage } from '@/utils'
import food from '@/assets/icons/ProCard/food.png'
import Popup from '@/components/Popup'
import { saveEvaluate } from '@/services/mine'
import './style.less'






export default (props) => {
  const { showCutover, maskClosable, item, onClose, onFinish } = props
  const scoreList = new Array(5).fill(0)

  const ButtonCancel = () => {
    onClose()
  }
  const ButtonOK = (e) => {
    if (evaluate.sweetScore == 0 || evaluate.environmentScore == 0 || evaluate.serviceScore == 0) {
      Taro.showToast({
        title: '请您给本店点亮小星星哦',
        icon: 'none'
      })
      return;
    }
    else {
      saveEvaluate(evaluate.targetType, evaluate.targetId, evaluate).then((res) => {
        onFinish()
      })
      onClose()
    }
  }
  const [evaluate, setEvaluate] = useState({
    sweetScore: 0,//口味
    environmentScore: 0,//环境
    serviceScore: 0,//服务
    targetId: '',
    targetType: 'shop'
  })
  const [kwCollectNub, setkwCollectNub] = useState(0)
  const kwChange = (val) => {
    setkwCollectNub(val + 1)
    setEvaluate({ ...evaluate, sweetScore: val + 1, targetId: item.shopId })
  }

  const [hjCollectNub, sethjCollectNub] = useState(0)
  const hjChange = (val) => {
    sethjCollectNub(val + 1)
    setEvaluate({ ...evaluate, serviceScore: val + 1 })

  }

  const [fwCollectNub, setfwCollectNub] = useState(0)
  const fwChange = (val) => {
    setfwCollectNub(val + 1)
    setEvaluate({ ...evaluate, environmentScore: val + 1 })
  }

  return (
    <Popup show={showCutover} maskClosable={maskClosable} onClose={onClose} className='box-content' >
      <View class='left-complete-one'  >
        <View className='v1'>
          <View className='left-viewText'>
            返现￥{(item.cashback / 100)?.toFixed(2)}
          </View>
        </View>
        <View className='v2'>
          <View className='title-image' >
            <image className='image-1' mode='scaleToFill' src={compressImage(item.poster) || []}></image>
            <image className='image-2' src={food}></image>
          </View>
          <View className='title-content'>
            <View className='Pro-title'  >
              <View className='title-text'>
                {item.packageDescription}
              </View>
              <View className='title-money-2'>
                数量：{item.amount}张
              </View>
            </View>
            <text className='title-money' >￥{(item.unitPrice / 100)?.toFixed(2)}元</text><text className='title-money-3'>订单编号：{item.orderId}</text>
            <View className='title-time'>
              核销时间：{" "}
              {formatTime(item.verifiedDate, "yyyy/MM/dd hh:mm")}
            </View>
          </View>
        </View>
      </View>
      <View className='pjLine'></View>
      <view className='item-center-Number' >
        {/* 评分 */}
        <view className='card-box-star'>
          <text className='card-box-star-text'  >口味：</text>
          {
            scoreList.map((_, index) => {

              const src = index < kwCollectNub ? starOn : starOff
              return (
                <image className='card-star-image' key={index} src={src} onClick={() => kwChange(index)} />
              )
            })
          }
        </view>
        <view className='card-box-star'>
          <text className='card-box-star-text' >环境：</text>
          {
            scoreList.map((_, index) => {

              const src = index < hjCollectNub ? starOn : starOff
              return (
                <image className='card-star-image' key={index} src={src} onClick={() => hjChange(index)} />
              )
            })
          }
        </view>
        <view className='card-box-star'>
          <text className='card-box-star-text'  >服务：</text>
          {
            scoreList.map((_, index) => {

              const src = index < fwCollectNub ? starOn : starOff
              return (
                <image className='card-star-image' key={index} src={src} onClick={() => fwChange(index)} />
              )
            })
          }
        </view>
      </view>
      <view className='buy-button-box' >
        <button className='button-Cancel' onClick={ButtonCancel} >取消</button>
        <button className='button-OK' onClick={ButtonOK} >确定</button>
      </view>
    </Popup>


  )
}
