import React from 'react';
import { Input, View } from '@tarojs/components';
import './style.less'

// eslint-disable-next-line no-restricted-globals
const isNotaNumber = x => isNaN(x)
const noop = x => x

export default (props) => {
  const { className, style, value, step = 1, onChange = noop, ...leftProps } = props

  const handleInput = (e) => {
    const val = e.detail.value

    if (isNotaNumber(val)) {
      onChange(undefined)
    } else {
      onChange(val - 0)
    }
  }

  const handleAdd = () => {
    if (isNotaNumber(value)) {
      onChange(step)
    } else {
      onChange(value + step)
    }
  }

  const handleSub = () => {
    if (isNotaNumber(value)) {
      onChange(-step)
    } else {
      onChange(value - step)
    }
  }

  const cls = [className, 'input-number-wrapper'].filter(Boolean).join(' ')

  return (
    <View className={cls} style={style}>
      <View>
        <View className='input-number' onClick={handleSub}>-</View>
        <Input min='1' type='number' value={value} onInput={handleInput}  className='input-number' {...leftProps} />
        <View className='input-number' onClick={handleAdd}>+</View>
      </View>
    </View>
  )
}
