import React, { useEffect, useRef } from 'react'
import { View } from '@tarojs/components'
import Item from './Item'
import { classNames } from './utils'

export default (props) => {
  const { className, list = [], render, onRenderFinish, ...leftProps } = props

  const heightRef = useRef(0)

  const handleRenderFinish = (item, index) => (rect) => {
    const { height } = rect;
    item.__height = height
    
    if (index === 0) {
      heightRef.current = height
    } else {
      heightRef.current += height
    }

    onRenderFinish(heightRef.current)
  }

  return (
    <View {...leftProps} className={classNames(className, 'masonry-column')}>
      {
        list.map((item, index) => {

          return (
            <Item key={item.__vid} item={item} render={render} onRenderFinish={handleRenderFinish(item, index)} />
          )
        })
      }
    </View>
  )
}
