
import React, { useMemo } from 'react'
import Taro from '@tarojs/taro';
import { View } from '@tarojs/components'
import { classNames } from './utils';
import './style.less'

export default (props) => {
  const { className, item, top, render, onRenderFinish } = props

  const vid = item.__vid;
  
  const handleCallback = () => {
    let t = null;
    const getRect = () => {
      if (t) {
        clearTimeout(t)
        t = null;
      }
      Taro.createSelectorQuery().select(`.${vid}`).boundingClientRect(rect => {
        if (rect && rect.height) {
          onRenderFinish(rect)
        } else {
          t = setTimeout(() => getRect(), 100)
        }
      }).exec()
    }

    getRect()
  }

  return (
    <View className={classNames(className, 'masonry-item', vid)}>
      {render(item, handleCallback)}
    </View>
  )
}
