import { useRef, useState } from "react";
import { random } from '@/utils';

export function useList() {
  const [lst, setList] = useState([])
  const lstRef = useRef(lst)
  lstRef.current = lst

  return [lst, lstRef, setList]
}

export function useColumn() {
  // 数据有2份, 以 ref 中的为准
  // setList 只是用来触发页面渲染
  const [list, setList] = useState([])
  const listRef = useRef(list)

  const appendList = (item) => {
    listRef.current = listRef.current.concat(item)
    setList(listRef.current.slice())
  }

  const fillList = (lst) => {
    listRef.current = lst
    setList(lst)
  }

  return [listRef.current, appendList, fillList]
}

export function useRenderFunc(renderList, leftHeight, rightHeight, appendLeft, appendRight) {
  const func = () => {
      // 如果当前渲染数据为空
    if (!renderList.current.length) return;

    // 每次把数组最上面的一个拿出来
    const item = renderList.current.shift()
    item.__vid = random('f')

    // 优先放入低高度的栏里面
    if (leftHeight.current <= rightHeight.current) {
      appendLeft(item)
    } else {
      appendRight(item)
    }
  }

  const renderRef = useRef();
  renderRef.current = func;

  return renderRef;
}
