import React from 'react'
import { View, Image } from '@tarojs/components'
import useSave from "@/utils/hooks/useSave"
import starOn from '@/assets/icons/housemantj/onlove.png'
import starOff from '@/assets/icons/housemantj/touristGood.png'
import './style.less'

export default (props) => {
  const { saved, targetType, targetId, editable } = props
  
  const [isSaved, toggleSave] = useSave(saved, targetType, targetId)

  const link = isSaved ? starOn : starOff
  const text = isSaved ? '已收藏' : '加入收藏'

  const handleClick = (e) => {
    if (editable) {
      e.stopPropagation()
      toggleSave()
    }
  }

  return (
    <View className='save-box' onClick={handleClick}>
      <View className='save-box_icon'>
        <Image src={link} />
      </View>
      <View className='save-box_text'>{text}</View>
    </View>
  )
}
