import Taro from '@tarojs/taro'
import { compressImage } from '@/utils'
import { View, Text,Image } from '@tarojs/components'
import formatTimes from '@/utils/formatTime'


import './style.less'


export default (props) => {
  const { item } = props

  return (
    <View className='orderCard2'>
      <View className='hardtop'>
        <View className='orderId'>订单编号：{item.orderId}</View>
        <View className='orderTime'>下单日期：{formatTimes(item.orderDate, 'yyyy-MM-dd hh:mm')}</View>
      </View>
      <View className='order'>
        <View className='orderTop'>
          <Image className='orderImg' src={compressImage(item.poster)} mode='aspectFit' />
          <View className='orderRight'>
            <View className='foodName'>{item.description}</View>
            <View className='price'>
              <Text className='priceleft'>
                合计金额：￥
                <Text style={{ fontSize: '24rpx' }}>
                  {((item.actualPrice / 100) - (item.cashback / 100) - (item.commissionCharge / 100)).toFixed(2)}
                </Text>元
              </Text>
              <Text className='pnum'>数量：1张</Text>
            </View>
            <View className='tips'>已下单：等待客户上门就餐</View>
          </View>
        </View>
        <View className='line' />
        <View className='phone'>客户手机：{item.phone.replace(/^(\d{3})\d{4}(\d+)/, "$1****$2") || ''}</View>
      </View>
    </View>
  )
}
