import Taro from '@tarojs/taro'
import { setGetVerifiedOrder } from '@/services/shopBoss'
import { View, Text, Image,Button } from '@tarojs/components'
import { compressImage } from '@/utils'
import { useState } from 'react'
import formatTimes from '@/utils/formatTime'
import './style.less'


export default (props) => {

  const { item, verifiedOrder } = props
  const verifyNo = item?.verifyNo
  const [buttonStyle, setButtonStyle] = useState('')




  const confirmOrder = () => {
    setGetVerifiedOrder(verifyNo).then((e) => {
      Taro.showToast({
        title: '核销成功',
        icon: 'success',
        duration: 2000,
      })
      setButtonStyle('none')
    })
  }




  return (
    // <View className='orderCard'>
    //   <View style={{ overflow: 'hidden' }}>
    //     <View className='orderId'>订单编号：{item.orderId}</View>
    //     <View className='orderTime'>下单日期：{formatTimes(item.orderDate, 'yyyy-MM-dd hh:mm') || ''}</View>
    //   </View>
    //   <View className='order'>
    //     <Image className='orderImg' src={compressImage(item.poster)} mode='aspectFit' />
    //     <View className='orderRight'>
    //       <View className='foodName'>{item.description}</View>
    //       <View className='price'>合计金额：￥<Text style={{ fontSize: '24rpx' }}>{((item.actualPrice / 100) - (item.cashback / 100) - (item.commissionCharge / 100)).toFixed(2)}</Text>元 <Text className='pnum'>数量：<Text>1</Text>张</Text> </View>
    //     </View>
    //     <View className='veri_Date' > 核销时间：{formatTimes(item.verifiedDate, 'yyyy-MM-dd hh:mm')}</View>
    //     <View className='line' />
    //     <View className='phone'>客户手机：<Text>{item.phone.replace(/^(\d{3})\d{4}(\d+)/, "$1****$2") || ''}</Text>
    //       {
    //         !item.isConfirmVerified && <button className='Button-OK' onClick={confirmOrder} style={{ display: buttonStyle }}  >确认核销</button>
    //       }
    //     </View>
    //   </View>
    // </View>

    <View className='orderCard3'>
      <View className='hardtop'>
        <View className='orderId'>订单编号：{item.orderId}</View>
        <View className='orderTime'>下单日期：{formatTimes(item.orderDate, 'yyyy-MM-dd hh:mm')}</View>
      </View>
      <View className='order'>
        <View className='orderTop'>
          <Image className='orderImg' src={compressImage(item.poster)} mode='aspectFit' />
          <View className='orderRight'>
            <View className='foodName'>{item.description}</View>
            <View className='price'>
              <Text className='priceleft'>
                合计金额：￥
                <Text style={{ fontSize: '24rpx' }}>
                  {((item.actualPrice / 100) - (item.cashback / 100) - (item.commissionCharge / 100)).toFixed(2)}
                </Text>元
              </Text>
              <Text className='pnum'>数量：1张</Text>
            </View>
            <View className='veri_Date' > 核销时间：{formatTimes(item.verifiedDate, 'yyyy-MM-dd hh:mm')}</View>
          </View>
        </View>
        <View className='line' />
        <View className='phone'>
          客户手机：{item.phone.replace(/^(\d{3})\d{4}(\d+)/, "$1****$2") || ''}
          {
            !item.isConfirmVerified && <Button className='Button-OK' onClick={confirmOrder} style={{ display: buttonStyle }}  >确认核销</Button>
          }
        </View>
      </View>
    </View>

  )
}

