import React from 'react'
import classNames from 'classnames'

/**
 * 参考 https://github.com/wechat-miniprogram/weui-miniprogram/blob/master/src/components/loading/loading.wxml
 */
export default (props) => {
  const { className, show, animated, duration = 350, tips = '加载中' } = props

  const cls = classNames('wx_loading_view', { 'wx_loading_view__animated': animated }, { 'wx_loading_view__hide': !show }, className)
  const style = animated ? { transition: `height ${duration} ms ease` } : {}

  return (
    <view className={cls} style={style}>
      <view class='weui-loadmore'>
          <view class='weui-loading'></view>
          <view class='weui-loadmore__tips'>{tips}</view>
      </view>
    </view>
  )
}
