
import React, { useMemo } from 'react'
import { View } from '@tarojs/components'
import Spin from '.'
import './style.less'

const Loading = (props) => {
  const { loading, size = '64rpx', ...leftProps } = props

  const cls = ['loading-box', loading ? 'active' : undefined].filter(Boolean).join(' ')

  return (
    <View className={cls}>
      <Spin size={size} {...leftProps} />
    </View>
  )
}


export default (props) => {
  const { className, style, loading, size = '64rpx', ...leftProps } = props

  const cls = useMemo(() => [className, 'loading-wrapper'].filter(Boolean).join(' '), [className])

  return (
    <View className={cls} style={style}>
      {props.children}
      <Loading loading={loading} size={size} {...leftProps} />
    </View>
  )
}
