import { useState, useEffect } from 'react'
import binded from '@/assets/icons/UserCenter/binding.png'
import cutoverUser from '@/assets/icons/UserCenter/cutoverUser.png'
import './style.less'

import SpinBox from "@/components/Spin/SpinBox";

import touristON from '@/assets/icons/UserCenter/touristON.png'
import touristOFF from '@/assets/icons/UserCenter/touristOFF.png'
import hotelBossON from '@/assets/icons/UserCenter/hotelBossON.png'
import hotelBossOFF from '@/assets/icons/UserCenter/hotelBossOFF.png'
import shopBossON from '@/assets/icons/UserCenter/shopBossON.png'
import shopBossOFF from '@/assets/icons/UserCenter/shopBossOFF.png'

import Popup from '@/components/Popup'
import { useModel } from '@/store'

export default (props) => {
  const { role, isBind } = props
  const [showCutover, setShowCutover] = useState(false)

  const ShowMoldeOn = () => {
    setShowCutover(true)
  }
  const onClose = () => {
    setShowCutover(false)
  }
  const { getRole, loading } = useModel('person')

  const goToPerson = () => {
    getRole('normal')
    onClose()
  }
  const goToHotel = () => {
    getRole('hotel')
    onClose()
  }
  const goToShop = () => {
    getRole('shop')
    onClose()
  }
  return (
    <>
      <Popup show={showCutover} maskClosable={showCutover} onClose={onClose}>
        <SpinBox loading={loading}>
          <view className='User-box-sths' >
            <view className='User-box-selectUser'>请选择身份：</view>
            <view className='User-box-tourist' onClick={goToPerson}>
              <image className='Ubs-tourist-image' src={role === 'normal' ? touristON : touristOFF} />
              <text className='Ubs-tourist-text'>我是用户</text>
            </view>
            <view className='User-box-hotelBoss' onClick={goToHotel}>
              <image className='Ubs-hotelBoss-image' src={role === 'hotel' ? hotelBossON : hotelBossOFF} />
              <text className='Ubs-hotelBoss-text'>我是房东</text>
            </view>
            <view className='User-box-shopBoss' onClick={goToShop}>
              <image className='Ubs-shopBoss-image' src={role === 'shop' ? shopBossON : shopBossOFF} />
              <text className='Ubs-shopBoss-text'>我是商铺</text>
            </view>
          </view>
        </SpinBox>
      </Popup >

      <view onClick={ShowMoldeOn} className='User-info-cutover'>
        <image className='User-info-cutover-image' src={cutoverUser} />
        <image src={binded} className='User-info-cutover-image2' style={{ display: isBind ? '' : 'none' }} />
      </view>
    </>
  )
}