
const STORAGE_KEY = 'PLUG-ADD-MYAPP-KEY'
Component({
  properties: {
    name: {
      type: String,
      value: '测试'
    },
    duration: {
      type: Number,
      value: 10
    },
    delay: {
      type: Number,
      value: 2
    },
    logo: {
      type: String,
      value: 'https://cdn.blog.makergyt.com/mini/assets/component-add_tips.png'
    },
    custom: {
      type: Boolean,
      value: false
    }
  },
  lifetimes: {
    attached: function () {
      if (wx.getStorageSync(STORAGE_KEY)) return;
      //取胶囊位置
      let rect = wx.getMenuButtonBoundingClientRect ? wx.getMenuButtonBoundingClientRect() : null
      //取屏幕宽度
      let { screenWidth } = wx.getSystemInfoSync()
      this.setData({
        navbarHeight: rect.bottom,
        arrowR: screenWidth - rect.right + rect.width * 0.7 / 2 - 1.5,
        bodyR: screenWidth - rect.right
      })
      this.startTimer = setTimeout(() => {
        this.setData({
          SHOW_TOP: true
        })
      }, this.data.delay * 1000)
      this.duraTimer = setTimeout(() => {
        this.shrink();
      }, (this.data.duration + this.data.delay) * 1000)
    },
    detached: function () {
      if (this.startTimer) clearTimeout(this.startTimer)
      if (this.duraTimer) clearTimeout(this.duraTimer)
    },
  },
  data: {
    SHOW_TOP: false
  },
  methods: {
    hiddenButton: function () {
      // wx.setStorageSync(STORAGE_KEY, true)
      this.shrink()
    },
    shrink: function () {
      this.animate('#add-tips', [
        { scale: [1, 1] },
        { scale: [0, 0], ease: 'ease', transformOrigin: `calc(600rpx - ${this.data.arrowR}px) 2%` }
      ], 500, function () {
        this.setData({
          SHOW_TOP: false
        })
      }.bind(this))
    }
  }
})

