import { useState } from 'react'

import Taro from '@tarojs/taro'

import { View, Text } from '@tarojs/components'
import CouponCard from '@/components/CouponCard'
import { compressImage } from '@/utils'
import SaveIcon from '@/components/SaveIcon'
import Location from '@/components/Location'
import SeeDetails from '@/assets/icons/GuideCheck/SeeDetails.png'



import './style.less'


const Action = CouponCard.Action

//套餐卡片
export default (props) => {
  const { item, st, editable, det } = props
  const { targetId, itemId } = props.item
  //进入详情页面
  const goDetail = () => {
    item.targetType === 'tourist' ?  
    Taro.navigateTo({ url: `/pages/details/mjDetails/sceneryDetails?id=${targetId}` }): 
    Taro.navigateTo({ url: `/pages/details/foodDetails/foodDetails?id=${targetId}` })
  }
  const backStyle = {
    background: `url('${compressImage(item.poster)}') no-repeat`,
    backgroundSize: '100% 100%',
  }
  return (
    <View style={{ margin: '15px 15px' }} >
      <View className='coupon-card' onClick={goDetail}>
        <View className='coupon-card_body' style='background: #fff;border-radius: 12px;'>
          <View className='coupun-media'>
            <View className='coupun-media_header'>
              <View className='coupun-media_thumb' style="margin-top: 20px;">
                <View className='image' style={backStyle}></View>
              </View>
            </View>
            <View className='coupun-media_body'>
              <View class="coupun-media_body_ctt" style={{ marginTop: '20px' }}>
                <View className='foodCard'>
                  <View className='cpn-card-text'>
                    {(item.title).toString().length > 25 ? (item.title).substring(0, 25) + '...' : (item.title)}
                  </View>
                  <View className='cpn-card-text' style={{ marginTop: '5px' }}>
                    <Text className='cpn-card-text_mn'>￥{`${(item.averagePrice == '' ? '0.00' : item.averagePrice / 100)?.toFixed(2)}元`}</Text>
                  </View>
                  <View className='cpn-md-act'>
                    <Location {...det} />
                    <SaveIcon saved={item.isSaved > 0} targetType={item.targetType} editable={editable} targetId={item.targetId} />
                  </View>
                </View>
              </View>
            </View>
          </View>
        </View>
      </View>
    </View>
  )
}