import { useState } from 'react';
import Taro from '@tarojs/taro';
import Popup from '@/components/Popup'
import { View, Image, Textarea, Label, Button, Video } from '@tarojs/components';
import { update, deleteExtend } from '@/services/landlord'
import { compressImage } from '@/utils'
import { uploadFile } from '@/utils/request';
import SlideView from '@/components/SlideView';
import './style.less'

export default (props) => {
  const { item, setReset } = props
  const [eimg, seteImg] = useState(item.content)
  const handerChange = () => {
    Taro.chooseImage({
      count: 1,
      success: function (res) {
        uploadFile(res.tempFilePaths[0]).then((res2) => {
          seteImg(res2)
          const date = {
            content: res2,
            contentType: 'image'
          }
          update(item.extId, { ...item, ...date })
        })
      }
    })
  }
  const [showCutover, setShowCutover] = useState(false)
  const showText = () => {
    setShowCutover(true)
  }
  const onClose = () => {
    setContent2(content)
    setShowCutover(false)
    setReset(true)
  }
  const [content, setContent] = useState(item.content)
  const handelDelete = () => {
    Taro.showModal({
      title: '提示',
      content: `确认删除?`,
      success: function (res) {
        if (res.confirm) {
          deleteExtend(item.extId).then(() => {
            Taro.showToast({
              title: '删除成功',
              icon: 'none',
            })
            setReset(true)
          })
        }
      }
    })
  }
  //判断是否只有空 空格 回车
  const javaTrim = (str) => {
    for (var i = 0; (str.charAt(i) == ' ') && i < str.length; i++);
    if (i == str.length) return ''; //whole string is space
    var newstr = str.substr(i);
    for (var i = newstr.length - 1; newstr.charAt(i) == ' ' && i >= 0; i--);
    newstr = newstr.substr(0, i + 1);
    return newstr;
  }
  const [content2, setContent2] = useState(content)
  const handelEdit = () => {
    if (javaTrim(content2) == '') {
      Taro.showToast({
        title: '您还没有添加文字哦',
        icon: 'none'
      })
      return;
    }
    setContent(content2)
    const date = {
      content: content2,
      contentType: 'text'
    }
    update(item.extId, { ...item, ...date })
    onClose()
  }
  return (
    <View id='det'>
      <Popup show={showCutover} onClose={onClose}>
        <View className='editword'>
          <View style={{ marginBottom: '25px' }}>
            <View className='rzline' /><Label className='srl mg'>修改文字</Label><View className='rzline' />
          </View>
          <View>
            <Textarea className='storezn' value={content2} onInput={e => setContent2(e.detail.value)} />
          </View>
          <View>
            <Button className='cancel' onClick={onClose}>取消</Button>
            <Button className='btn' onClick={handelEdit}>确认修改</Button>
          </View>
        </View>
      </Popup>
      {
        item.contentType == 'image' ?
          <View>
            <SlideView del onDelete={handelDelete}>
              <Image src={compressImage(eimg)} mode='widthFix' style={{ width: '100%', display: 'block' }} onClick={handerChange} />
            </SlideView>
          </View>
          :
          item.contentType == 'text' ?
            <View>
              <SlideView del onDelete={handelDelete}>
                <View className='storezn' onClick={showText}>{content}</View>
              </SlideView>
            </View>
            : item.contentType == 'video' ?
              <View>
                <SlideView del onDelete={handelDelete}>
                  <Video style={{ width: '100%', display: 'block' }} src={eimg} />
                </SlideView>
              </View>
              : null
      }
    </View>
  )
}