import { View } from '@tarojs/components'
import Spin from '@/components/Spin'
import logo from '@/assets/icons/comm/logo_small.png'
import './style.less'

export default (props) => {
  const { width = '64px', logoVisible } = props
  const height = width

  return (
    <view className='loading' style={{ width, height }}>
      <Spin size={width} />
      {
        logoVisible !== false &&
        (<image className='loading-logo' src={logo} style={{ width, height }} />)
      }
      <View
        style={{
          width: '30vw',
          color: '#4D4D4D',
          padding: '12px',
          position: 'absolute',
          left: '-5vh',
          textAlign: 'center',
          opacity: '0.8',
          animation: ' logo-opacity 2s linear infinite',
          fontSize: '4.3vw',
        }}
      >
        收集人间美好
      </View>
    </view>
  )
}