import Taro, { useDidShow } from '@tarojs/taro'
import CustomNav from '@/components/CustomNav'
import { useState } from "react";
import withLayout from '@/layouts'
import List from '@/components/List';
import NoData from '@/components/NoData'
import { getCollectList } from '@/services/home'
import MyCollect from '@/components/CollectList/MyCollect'
import './style.less'

export default withLayout((props) => {
  const { router, person, location } = props
  const [collectContent, setCollectContent] = useState([])
  const [queryParams, setQueryParams] = useState({ location: location, pageNum: 1, pageSize: 10 })
  useDidShow(() => {
    setQueryParams({ location: location, pageNum: 1, pageSize: 10 })
  })
  return (
    <view className='page-index box-content'>
      <view className='index-navbar'>
        <CustomNav title='我的收藏' />
      </view>
      <view style={{ overflow: 'hidden', height: '100%' }}>
        <List
          style={{ height: '100%' }}
          request={getCollectList}
          params={queryParams}
          refresherEnabled={false}

          onDataChange={setCollectContent}
        >
          {
            collectContent.length == 0 ?
              <NoData /> :
              <view className='waterfall'>
                {
                  collectContent.map((item, index) => { return <MyCollect key={(index)} item={item} /> })
                }
              </view>
          }
        </List>
      </view>
    </view>
  )
})
