import { saveFeedback } from '@/services/mine'
import { useState } from 'react';
import CustomNav from '@/components/CustomNav'
import Taro from '@tarojs/taro'
import SpinBox from "@/components/Spin/SpinBox";
import { Image, Button } from '@tarojs/components'
import withLayout from '@/layouts'
import './style.less'


export default withLayout((props) => {
  const { person } = props
  const { personId } = person
  const [loading, setLoading] = useState(false)
  const back = () => {
    Taro.navigateBack()
  }
  const submit = () => {
    var content = document.getElementById('content').value
    if (content != '') {
      setLoading(true)
      saveFeedback({
        personId,
        content
      }).then(() => {
        Taro.showToast({
          title: '收到啦~',
          icon: 'success',
          duration: 1500
        }).then(
          setTimeout(() => {
            Taro.navigateBack({
              delta: 1
            })
            setLoading(false)
          }, 1500)
        )
      })
    }
    else {
      Taro.showToast({
        title: '请重新输入',
        icon: 'none',
        duration: 2000
      })
    }
  }
  return (
    <view className='box-content'>
      <view className='index-navbar'>
        <CustomNav title='联系我们' />
      </view>
      <view style={{ padding: '60rpx 30rpx' }}>
        <view class='section'>
          <textarea autoHeight placeholder='有任何疑难杂症或者不开心，就在这里留言。' id='content' />
        </view>
        <view className='weChate-image' >
          <Image mode='aspectFit' src='https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/%E5%BE%AE%E4%BF%A1%E5%9B%BE%E7%89%87_20210918145337.png' />
        </view>
        <view className='button-info'>
          <Button className='button-box' onClick={submit} loading={loading} disabled={loading}  >提交</Button>
          <Button className='button-box-Cancel' onClick={back} >取消</Button>
        </view>
      </view>
    </view >
  )
})
