import { useState, useEffect } from "react";
import Taro, { useDidShow } from "@tarojs/taro";
import SpinBox from "@/components/Spin/SpinBox";
import { View } from '@tarojs/components';
import withLayout from "@/layouts";
import OrderCard from '@/components/CompoentsOrder/OrderCard'
import { getOrderSub } from "@/services/payOrder";
import CustomNav from "@/components/CustomNav";
import "./style.less";


export default withLayout((props) => {
  const { router, person } = props;
  const [list, setList] = useState([]);
  const [IsPull, setPull] = useState(false);
  const [pageNum, setNumber] = useState(1);
  const [HasNextPage, setHasNextPage] = useState(true);
  const [isFirst, setFirst] = useState(true)
  useDidShow(() => {
    if (!isFirst) {
      getList();
    }
  })

  const [loading, setLoading] = useState(false)

  const getList = () => {
    setLoading(true)
    setFirst(false)
    setHasNextPage(false);
    getOrderSub({
      pageNum,
      pageSize: 10,
      status: 1,
      isVerified: 0,
    }).then((res) => {
      setList(
        pageNum === 1 ? res.records || [] : list.concat(res.records || [])
      );
      setHasNextPage(res.current < res.pages);
      setPull(false);
      setLoading(false)
    }).catch(e => {
      setLoading(false)
    })
  };



  const pageLoadMore = () => {
    // 页面上拉加载更多
    if (HasNextPage) {
      setNumber(pageNum + 1);
    }
  };




  useEffect(() => {
    getList();
  }, [pageNum]);

  return (
    <view className='page-index box-content'>
      <view className='index-navbar'>
        <CustomNav title='售后退款' />
      </view>
      <View className='index-container'>
        <SpinBox loading={loading}>
          <scroll-view
            scrollY
            style='height: 100%;'
            onscrolltolower={pageLoadMore}
          >
            <view className='View-box-Card'>
              {(list || []).map((item) => {
                return (
                  <OrderCard item={item} key={item.orderId} sh='1' />
                )
              })}
              <view className='foot'>这是我的底线</view>
            </view>
          </scroll-view>
        </SpinBox>
      </View>
    </view>
  );
});
