import formatTime from "@/utils/formatTime";
import { compressImage } from '@/utils'
import formatPrice from "@/utils/formatPrice";
import food from "@/assets/icons/ProCard/food.png";
import './style.less'


export default (props) => {
  const { item, onMoldeOn } = props
  return (
    <view class='wrapper-payOrder' key={item.orderId}>
      <view class='left-complete-one-payOrder'>
        <view className='left-viewText-payOrder'>
          返现￥{formatPrice(item.cashback)}
        </view>
        <view className='title-image-payOrder'>
          <image
            className='image-1-payOrder'
            mode='scaleToFill'
            src={compressImage(item.poster)}
          ></image>
          <image className='image-2-payOrder' src={food}></image>
        </view>
        <view className='title-content-payOrder'>
          <view className='title-text-payOrder'>{item.description}</view>
          <text className='title-money-payOrder'>
            ￥{formatPrice(item.actualPrice || item.unitPrice)}元
            <text className='title-money-2-payOrder'>
              门市价{(item.standardPrice / 100).toFixed(2)}元
            </text>
          </text>
          <view className='title-time-payOrder'>
            有效期：{formatTime(item.startTime, "yyyy/MM/dd")}-
            {formatTime(item.endTime, "yyyy/MM/dd")}
          </view>
        </view>
      </view>
      <view
        class='right-complete-two-payOrder'
        onClick={() => onMoldeOn(item)}
      >
        <view className='right-content-payOrder'>
          <view className='right-number-payOrder'>×{item.amount || 1}</view>
          <view className='right-title-payOrder'>数量</view>
        </view>
      </view>
    </view>
  )
}
