import Taro from "@tarojs/taro"
import { Icon, View } from "@tarojs/components"
import { useEffect, useState } from "react"
import CustomNav from '@/components/CustomNav'
import withLayout from '@/layouts'


import './style.less'





export default (props) => {
  const { ico, textNext, onSelected, nextQuestio } = props
  const [netxIma, setNetxIma] = useState(false)

  const Ari = 'https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/ConstelPhoto/Ari.png'
  const Tau = 'https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/ConstelPhoto/Tau.png'
  const Gem = 'https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/ConstelPhoto/Gem.png'
  const Cnc = 'https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/ConstelPhoto/Cnc.png'
  const Leo = 'https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/ConstelPhoto/Leo.png'
  const Vir = 'https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/ConstelPhoto/Vir.png'

  const Lib = 'https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/ConstelPhoto/Lib.png'
  const Sco = 'https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/ConstelPhoto/Sco.png'
  const Sgr = 'https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/ConstelPhoto/Sgr.png'
  const Cap = 'https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/ConstelPhoto/Cap.png'
  const Agr = 'https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/ConstelPhoto/Agr.png'
  const Psc = 'https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/ConstelPhoto/Psc.png'

  const [filterImage, setFilterImage] = useState(
    [
      {
        title: '白羊座',
        moon: '03.21-04.19',
        ico: Ari,
        active: false
      },
      {
        title: '金牛座',
        moon: '04.20-05.20',
        ico: Tau,
        active: false

      },
      {
        title: '双子座',
        moon: '05.21-06.21',
        ico: Gem,
        active: false

      },
      {
        title: '巨蟹座',
        moon: '06.22-07.22',
        ico: Cnc,
        active: false

      },
      {
        title: '狮子座',
        moon: '07.23-08.22',
        ico: Leo,
        active: false

      },
      {
        title: '处女座',
        moon: '08.23-09.22',
        ico: Vir,
        active: false

      },
    ]
  )
  const [twoImage, setTwoImage] = useState(
    [
      {
        title: '天秤座',
        moon: '09.23-10.23',
        ico: Lib,
        active: false

      },
      {
        title: '天蝎座',
        moon: '10.24-11.22',
        ico: Sco,
        active: false

      },
      {
        title: '射手座',
        moon: '11.23-12.21',
        ico: Sgr,
        active: false

      },
      {
        title: '摩羯座',
        moon: '12.22-01.19',
        ico: Cap,
        active: false

      },
      {
        title: '水瓶座',
        moon: '01.20-02.18',
        ico: Agr,
        active: false

      },
      {
        title: '双鱼座',
        moon: '02.19-03.20',
        ico: Psc,
        active: false

      },
    ]
  )



  const handleTextNext = () => {
    setNetxIma(!netxIma)
  }

  //第一组
  const handleFilter = (e) => {
    onSelected()
    setTimeout(() => {
      nextQuestio()

    }, 500);
    const res = filterImage.map((item, inx) => {
      if (item.title == e.title) {

        item.active = true

      } else {

        item.active = false
      }
      return item

    })
    setFilterImage(res)



  }

  //第二组
  const handleTwoFilter = (e) => {
    nextQuestio()
    setTimeout(() => {
      nextQuestio()

    }, 500);

    const res = twoImage.map((item, inx) => {

      if (item.title == e.title) {

        item.active = true

      } else {

        item.active = false
      }
      return item

    })
    setTwoImage(res)


  }












  return (
    <View >
      <View style='font-size: 20px;font-weight: bold;color: #140F0F;marginLeft:10px;margin-bottom: 1em;'>
        1<text style='font-size: 13px;font-weight: bold;color: #140F0F;'> / 5 </text>你是什么星座的？
      </View>
      {
        netxIma === false ? filterImage.map((item, index) =>
          <view className='Random-Conste-box' key={index} onClick={() => handleFilter(item)} >
            <View className='RC-box-imageContent'>
              <image className={`RC-box-image ${item.active && 'imageLess'}`} src={item.ico} />
            </View>
            <view className='RC-box-content' >
              <View className='RC-box-C-title' >
                {item.title}
              </View>
              <View className='RC-box-C-moon' >
                {item.moon}
              </View>
            </view>

          </view>

        )
          :
          twoImage.map((item, index) =>
            <view className='Random-Conste-box' key={index} onClick={() => handleTwoFilter(item)} >
              <View className='RC-box-imageContent'>
                <image className={`RC-box-image ${item.active && 'imageLess'}`} src={item.ico} />

              </View>
              <view className='RC-box-content' >
                <View className='RC-box-C-title' >
                  {item.title}
                </View>
                <View className='RC-box-C-moon' >
                  {item.moon}
                </View>
              </view>

            </view>

          )

      }

      <view className='bottom-text' onClick={handleTextNext}>
        <image className='btn-image' src={ico} />
        <text className='btn-text' >{textNext}</text>
      </view>

    </View>


  )
}