import Taro from "@tarojs/taro"
import { View } from "@tarojs/components"
import { useEffect, useState } from "react"
import CustomNav from '@/components/CustomNav'
import withLayout from '@/layouts'
import ChangeNext from '@/assets/icons/Travel/ChangeNext.png'
import { seaveTravelDestiny } from "@/services/travel"
import ConstellationCard from "./components/ConstellationCard"//星座
import FiveSenses from "./components/FiveSenses"//五官
import GirlFriend from "./components/GirlFriend"//有没有女朋友
import Hand from "./components/Hand"//左右手
import UFO from "./components/UFO"//不明飞行物
import './style.less'



export default withLayout((props) => {
  const { router, person } = props
  const [show, setShow] = useState(1)
  const [btn, setBtn] = useState(true)

  //是否选择
  const [i, setI] = useState(false)

  const onSelected = () => {
    setI(true)
  }


  const handleGoTo = () => {
    if (show >= 5) {
      if (i === false) {
        Taro.showToast({
          title: '请选择一项噢',
          icon: 'none',
          duration: 2000
        })

      } else {
        setI(false)
        seaveTravelDestiny().then(e => {

          Taro.navigateTo({ url: `/pages/RandomItinerary/ResultOver/index` })

        })

      }




    } else {
      if (i === false) {
        Taro.showToast({
          title: '请选择一项噢',
          icon: 'none',
          duration: 2000
        })

      } else {
        setShow(show + 1)
        setI(false)

      }

    }

  }
  //选择题目即下一题
  const nextQuestio = () => setShow(show + 1)




  return (
    <view className='page-index'>
      <view className='index-navbar'>
        <CustomNav title='命定行程' />
      </view>
      <scroll-view scrollY style='height: calc(100% - 75px);margin-bottom: 40px;' >

        <View className='index-container'>
          {
            show === 1 && <ConstellationCard ico={ChangeNext} textNext='换一批' onSelected={onSelected} nextQuestio={nextQuestio} />
          }
          {
            show === 2 && <GirlFriend onSelected={onSelected} nextQuestio={nextQuestio} />
          }
          {
            show === 3 && <Hand onSelected={onSelected} nextQuestio={nextQuestio} />
          }
          {
            show === 4 && <FiveSenses onSelected={onSelected} nextQuestio={nextQuestio} />
          }
          {
            show === 5 && <UFO onSelected={onSelected} handleGoTo={handleGoTo} />
          }

        </View>


        {/* 
        {

          btn === true && <View className='btn-bottom' onClick={handleGoTo}>
            <text >
              {
                show > 4 ? '查看我的命定行程' : '下一题'
              }
            </text>
          </View>
        } */}



      </scroll-view>

    </view >
  )
})