import Taro from "@tarojs/taro";
import { View, Text } from '@tarojs/components'
import formatTime from "@/utils/formatTime";
import CouponCard from '@/components/CouponCard'
import Check_OK from "@/assets/icons/UserCenter/Check_OK.png";
import Check_NO from "@/assets/icons/UserCenter/Check_NO.png";
import { compressImage } from '@/utils'
import './style.less'

const CouponMedia = CouponCard.Media
const Action = CouponCard.Action
export default (props) => {
  const { item, checked, handleCheck } = props

  const PayAction = <Action.Icon icon={checked?.indexOf(item.verifyNo) > -1 ? Check_OK : Check_NO} onClick={() => handleCheck(item.verifyNo)} />
  return (
    <CouponCard action={PayAction} onClick={() => handleCheck(item.verifyNo)}>
      <CouponMedia>
        <CouponMedia.Header
          cashback={item.cashback}
          image={compressImage(item.poster)}
          badge='food'
        />
        <CouponMedia.Body star='ss'>
          <View className='orderCard'>
            <View className='cpn-card-text'>
              <View style={{ flex: '1' }}>{(item.description).toString().length > 25 ? (item.description).substring(0, 25) + '...' : (item.description)}</View>
              <text className={'title-money-2'}>
                数量：1张
              </text>
            </View>
            <View className='cpn-card-text' style={{ marginTop: '10rpx' }}>
              <Text className='cpn-card-text_mn'>￥{`${(item.actualPrice / 100)?.toFixed(2)}元`}</Text>
            </View>
            <View className='cpn-md-act'>
              {
                '有效期：' + formatTime(item?.createDate, "yyyy/MM/dd") + '-' +
                formatTime(item.expireDate, "yyyy/MM/dd")
              }
            </View>
          </View>
        </CouponMedia.Body>
      </CouponMedia>
    </CouponCard>

  )
}