import React, { useState } from 'react'
import Taro from '@tarojs/taro'
import { Input, Button, View, Label } from '@tarojs/components'
import Popup from '@/components/Popup'
import { newTravelMine } from '@/services/travel'

import './style.less'


export default (props) => {
  const { showCutover, onClose, onFinish } = props
  const [datNum, setDayNum] = useState('')
  const [loading, setLoading] = useState(false)


  const day = new Date();
  const y = day.getFullYear();
  const m = day.getMonth() + 1;
  const d = day.getDate();

  const handelShare = (e) => {
    onClose()

    newTravelMine({ title: `我的自定义行程 ${y}-${m}-${d}`, dayNum: datNum }).then(res => {
      Taro.showToast({
        title: '创建成功',
        icon: 'none',
        duration: 2000
      })
      Taro.navigateTo({ url: `/pages/Travel/Edit/index?id=${res.travelId}&dayNum=${res.dayNum}` })

    })


    // Taro.navigateTo({url:'/pages/Travel/Edit/index'})
  }
  const handelClose = (e) => {

    onClose()
  }

  const handelChangle = (e) => {
    setDayNum(e)

  }
  return (
    <Popup show={showCutover} maskClosable={showCutover} onClose={handelClose}>
      <View className='from-room srl'>
        <View style={{ marginBottom: '25px' }}>
          <View className='rzline' /><Label className='srl mg'>温馨提示</Label><View className='rzline' />
        </View>
        <View className='srleft'>
          <Label>出行天数：</Label>
          <Input onInput={(e) => handelChangle(e.detail.value)} value={datNum} type='number' maxlength='2' min='1' max='10' placeholder='请输入出行天数' />
        </View>
        <View>
          <Button className='cancel' onClick={handelClose}>取消</Button>
          <Button className='btn' onClick={handelShare} loading={loading} disabled={loading}>确定</Button>
        </View>
      </View>
    </Popup>
  )
}