import Taro from "@tarojs/taro";
import { Image, Swiper, SwiperItem, View, Text } from "@tarojs/components";
import { useState} from "react";
import { compressImage } from '@/utils'
import './style.less'

//详情页面上面的滑动图集
export default (props) => {
  const { imglist } = props
  const [swiperHeight, setSwiperHeight] = useState()
  const [swiperImgHeightList, setSwiperImgHeightList] = useState([])
  const [swiperImgWidthList, setSwiperImgWidthList] = useState([])
  const handleImageOnLoad = (e, inx) => {
    const { detail } = e;
    const { height, width } = detail || {}
    if (height) {
      const heightList = swiperImgHeightList.slice()
      heightList[inx] = height
      setSwiperImgHeightList(heightList)
      const widthList = swiperImgWidthList.slice()
      widthList[inx] = width
      setSwiperImgWidthList(widthList)
      if (!swiperHeight && inx === 0) {
        let { screenWidth } = Taro.getSystemInfoSync()
        let nowHeight = (screenWidth - 30) * height / width
        setSwiperHeight(`${nowHeight}px`)
      }
    }
  }

  const [index, setIndex] = useState(0);
  const handchange = (e) => {
    const inx = e.detail.current
    setIndex(inx);
    const height = swiperImgHeightList[inx]
    const width = swiperImgWidthList[inx]
    let { screenWidth } = Taro.getSystemInfoSync()
    let nowHeight = (screenWidth - 30) * height / width
    setSwiperHeight(nowHeight ? `${nowHeight}px` : 'auto')
  };
  return (
    <View className='huadong'>
      <Swiper
        circular
        className='swiper'
        onChange={handchange}
        style={{ height: swiperHeight }}
      >
        {imglist.map((item, inx) => (
          <SwiperItem key={inx}>
            <Image src={compressImage(item.url)} mode='widthFix' className='storeImage' onLoad={(e) => handleImageOnLoad(e, inx)} />
          </SwiperItem>
        ))}
      </Swiper>
      <View className='tpPage'>
        <Text>
          {index + 1}/{imglist.length}
        </Text>
      </View>
    </View>
  )
}