import CustomNav from '@/components/CustomNav'
import Taro from '@tarojs/taro'
import { View, Picker } from '@tarojs/components'
import withLayout from '@/layouts'
import { getIndexSearch } from '@/services/home'
import { useEffect, useState } from 'react'
import SearchBar from '@/components/SearchBar'
import './search.less'


export default withLayout((props) => {
  const { router, person } = props
  const [hotList, setHotList] = useState([])
  const hotSearch = (val) => {
    Taro.navigateTo({ url: `/pages/searchResult/searchResult?q=${val}` });
  }

  const onSearch = (e) => {
    if (e.detail.value !== '') {
      Taro.navigateTo({ url: `/pages/searchResult/searchResult?q=${e.detail.value}&targetTypeValue=${selectValue}` });
    }
  }

  const [selectValue, setselectValue] = useState('地点')
  const state = {
    selector: ['地点', '笔记'],
    selectorChecked: selectValue,

    // timeSel: '12:01',
    // dateSel: '2018-04-22'
  }
  const onChange = e => {
    setselectValue(state.selector[e.detail.value])
  }
  useEffect(() => {
    getIndexSearch().then((res) => {
      setHotList(res || [])
    })
  }, [])

  return (
    <View className='page-index'>
      <View className='index-navbar'>
        <CustomNav title='搜索' />
      </View>
      <View className='page-index-box' >

        <Picker className='picker-box' mode='selector' range={state.selector} onChange={onChange}>
          <View className='picker-text'>
            {state.selectorChecked} |
          </View>
        </Picker>
        <View className='selector-box'>
          <SearchBar placeholder={`搜索${selectValue}`} onBlur={onSearch} />
        </View>

      </View>
      {
        selectValue === '地点' && (
          <View className='content'>
            <View className='hotSearch'>热门搜索</View>
            <View className='hotSearchtip'>
              {
                (hotList || []).map((item) => <View onClick={() => hotSearch(item.word)}>{item.word}</View>)
              }
            </View>
          </View>
        )
      }

    </View>
  )
})