
import request from '@/utils/request'



/**
 * Picker获取行程
 * @param {*} 
 * @returns 
 */

export const getTravelMine = (params) => request(`/travel/mine`, { params })




/**
 * 获取行程详情
 * @param {*} 
 * @returns 
 */

export const getTravelID = (id, params) => request(`/travel/${id}`, { params })

/**
 * 更新我的行程
 * @param {*} 
 * @returns 
 */

export const seaveTravelID = (id, data) => request(`/travel/${id}`, { method: 'put', data })


/**
 * 新建保存行程
 * @param {*} 
 * @returns 
 */

export const newTravelMine = (data) => request(`/travel`, { method: 'post', data })


/**
 * 获取命定行程
 * @param {*} 
 * @returns 
 */

export const getTravelDestiny = (data) => request(`/travel/destiny`, { method: 'get', data })
/**
 * 保存命定行程
 * @param {*} 
 * @returns 
 */

export const seaveTravelDestiny = (data) => request(`/travel/destiny`, { method: 'post', data })



/**
 * 删除行程
 * @param {*} 
 * @returns 
 */

export const deleteTravel = (id, data) => request(`/travel/${id}`, { method: 'delete', data })






/**
 * 删除行程地点
 * @param {*} 
 * @returns 
 */

export const deleteTravelItem = (id, no, data) => request(`/travel/${id}/travel-item/${no}`, { method: 'delete', data })



/**
 * 保存行程地点
 * @param {*} 
 * @returns 
 */

export const saveTravel = (id, data) => request(`/travel/${id}/travel-item`, { method: 'post', data })

/**
 * 行程资源推荐 换一批
 * @returns 
 * params 
 */
export const getRecommendList = (params) => request('/resource/recommend', { params })

