import { createStore, createStoreRoot, createModelHook } from '@zjxpcyc/react-tiny-store'
import system from './models/system'
import person from './models/person'
import hotel from './models/hotel'

const store = createStore()
const models = {
  system,
  person,
  hotel,
}

const useModel = createModelHook(store)
const StoreRoot = createStoreRoot(store, models)

export default store
export {
  useModel,
  StoreRoot,
}
