
import { useRef } from 'react'
import Taro, { useDidShow, useDidHide } from '@tarojs/taro'
import { trackPage, updateTrackPage } from '@/services/track'

export default (payload) => {
  const payloadRef = useRef()
  const resRef = useRef()
  payloadRef.current = payload

  useDidShow(() => {
    let token = Taro.getStorageSync('token')
    if (token) {
      trackPage(payloadRef.current).then((res) => {
        resRef.current = res;
      }).catch((err) => {
        console.error(err);
      })
    } else {
      const t = setInterval(() => {
        token = Taro.getStorageSync('token')
        if (token) {
          clearTimeout(t)
          trackPage(payloadRef.current).then((res) => {
            resRef.current = res;
          }).catch((err) => {
            console.error(err);
          })
        }
      }, 500)
    }
  })

  useDidHide(() => {
    if (resRef.current) {
      updateTrackPage(resRef.current.trackId)
      resRef.current = undefined
    }
  })
}
