import Taro from "@tarojs/taro";
import store from "@/store"

export function subscribeMessage(messageTypes) {
  if (!messageTypes || messageTypes.length < 1) return Promise.resolve();
  
  const { messageTpls } = store.getModel('system').getState()
  if (!messageTpls || !messageTpls.length) return Promise.resolve();
  
  return new Promise((resolve, reject) => {
    const tmplIds = messageTypes.map((messageType) => {
      const tpl = messageTpls.filter(x => x.messageType === messageType)[0] || {}
      return tpl.templateId;
    }).filter(Boolean)

    if (tmplIds && tmplIds.length > 0) {
      Taro.requestSubscribeMessage({
        tmplIds,
        complete: () => resolve(),
      })
    } else {
      resolve()
    }
  })
}

export function withSubscribeMessage(types, callback) {
  subscribeMessage(types).then(() => {
    if (callback) {
      callback()
    }
  })
}
